Oracle Linux 6134 Published by

A postgresql:10 security update has been released for Oracle Linux 8.



ELSA-2023-4539 Moderate: Oracle Linux 8 postgresql:10 security update


Oracle Linux Security Advisory ELSA-2023-4539

http://linux.oracle.com/errata/ELSA-2023-4539.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
postgresql-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-contrib-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-docs-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-plperl-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-plpython3-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-pltcl-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-server-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-server-devel-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-static-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-test-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-test-rpm-macros-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-upgrade-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm
postgresql-upgrade-devel-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.x86_64.rpm

aarch64:
postgresql-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-contrib-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-docs-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-plperl-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-plpython3-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-pltcl-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-server-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-server-devel-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-static-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-test-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-test-rpm-macros-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-upgrade-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm
postgresql-upgrade-devel-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//postgresql-10.23-2.0.1.module+el8.8.0+21144+bb6efc6c.src.rpm

Related CVEs:

CVE-2023-2454
CVE-2023-2455

Description of changes:

[10.23-2.0.1]
- Fixed postgresql port binding issue during bootup [Orabug: 35103668]

[10.23-2]
- Backport fixes for CVE-2023-2454 and CVE-2023-2455
- Update postgresql-setup to 8.7 ( https://github.com/devexp-db/postgresql-setup/pull/35)
- Resolves: #2207931

[10.23-1]
- Resolves: CVE-2022-2625
- Rebase to 10.23

[10.21-1]
- Resolves: CVE-2022-1552
- Update to 10.21
- Release notes: https://www.postgresql.org/docs/release/10.21/

[10.19-2]
- Add missing files into file section of server package
postgresql-setup v8.6 newly provides postgresql-upgrade

[10.19-1]
- Update to 10.19
- Resolves: CVE-2021-23214

[10.17-4]
- Update postgresql-setup to 8.6 (#2024568)

[10.17-3]
- Fix tmp files deprecated path
- Resolves: #1992263

[10.17-2]
- Enable ssl for upgrade server
Resolves: #1982701